| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GlsCTLTextBox Class Reference
Inheritance diagram for GlsCTLTextBox:

## Public Types
enum | VerticalAlignment_t { ALIGN_CENTER , ALIGN_TOP , ALIGN_BOTTOM }
enum | EllipsizeMode_t { ELLIPSIZE_MODE_NONE , ELLIPSIZE_MODE_START , ELLIPSIZE_MODE_MIDDLE , ELLIPSIZE_MODE_END }
enum | TextDirection_t { TEXT_DIRECTION_LTR , TEXT_DIRECTION_RTL , TEXT_DIRECTION_AUTOMATIC , TEXT_DIRECTION_AUTO_BY_LINE }
enum | ResizeMode_t { RESIZE_MODE_FIXED , RESIZE_MODE_AUTO_WIDTH , RESIZE_MODE_AUTO_HEIGHT }
Public Types inherited from Text
enum | Justify_t { LEFT , CENTER , RIGHT }
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }

## Public Member Functions
| GlsCTLTextBox ()
| GlsCTLTextBox (GlsCTLTextBox &src)
VerticalAlignment_t | VerticalAlignment ()
void | VerticalAlignment (VerticalAlignment_t &verticalAlignment)
EllipsizeMode_t | EllipsizeMode ()
void | EllipsizeMode (EllipsizeMode_t &ellipsizeMode)
TextDirection_t | TextDirection ()
void | TextHorizontalScale (float &value)
float | TextHorizontalScale ()
void | TextVerticalScale (float &value)
float | TextVerticalScale ()
void | TextDirection (TextDirection_t &direction)
ResizeMode_t | ResizeMode ()
void | ResizeMode (ResizeMode_t &resizeMode)
float | MaxWidth ()
void | MaxWidth (float &maxWidth)
float | MaxHeight ()
void | MaxHeight (float &maxHeight)
void | Rebuild ()
Public Member Functions inherited from Text
float | Baseline ()
void | Baseline (float baselineShift)
GlsColor | BgColor ()
void | BgColor (GlsColor &color)
float | Border ()
void | Border (float units)
float | CellHeight ()
void | CellHeight (float height)
float | CellWidth ()
void | CellWidth (float width)
float | CharScaling ()
void | CharScaling (float newScale)
float | CharSpacing ()
void | CharSpacing (float horizontalSpacing)
bool | ConstrainCellRatio ()
void | ConstrainCellRatio (bool constrainRatio)
bool | ControlCellSize ()
void | ControlCellSize (bool control)
bool | FauxBold ()
void | FauxBold (bool bold)
Font | Font ()
void | Font (Font &font)
bool | Halo ()
void | Halo (bool halo)
GlsColor | HaloColor ()
void | HaloColor (GlsColor &color)
bool | Inverse ()
void | Inverse (bool inverse)
Justify_t | Justify ()
void | Justify (Justify_t justification)
float | LineSpacing ()
void | LineSpacing (float spacing)
bool | LockCellSize ()
void | LockCellSize (bool lock)
bool | Shadow ()
void | Shadow (bool shadow)
GlsColor | ShadowColor ()
void | ShadowColor (GlsColor &color)
Vector | ShadowOffset ()
void | ShadowOffset (Vector &offset)
bool | StrikeThru ()
void | StrikeThru (bool strike)
String | String ()
void | String (String &s)
GlsColor | TextColor ()
void | TextColor (GlsColor &color)
bool | Underline ()
void | Underline (bool underline)
bool | Uppercase ()
void | Uppercase (bool uppercase)
bool | WrapText ()
void | WrapText (bool wrap)
void | ShadowDistance (float distance)
float | ShadowDistance ()
Public Member Functions inherited from GLPolygon
| GLPolygon (VertexArray &vertices)
| GLPolygon (VertexArray &vertices, Vector &location)
| GLPolygon (std::vector< Vertex > vertices)
| GLPolygon (std::vector< Vertex > vertices, Vector &location)
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsCTLTextBox * | CastToGlsCTLTextBox (DisplayObject *obj)
Static Public Member Functions inherited from GLPolygon
static GLPolygon * | CastToGLPolygon (DisplayObject *obj)

## Additional Inherited Members
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Python extension used to create and modify CTL (complex text layout) text box editor objects.

## Member Enumeration Documentation

## ◆ EllipsizeMode_t

enum GlsCTLTextBox::EllipsizeMode_t

The ellipsize mode types.

Enumerator
ELLIPSIZE_MODE_NONE |
ELLIPSIZE_MODE_START |
ELLIPSIZE_MODE_MIDDLE |
ELLIPSIZE_MODE_END |

## ◆ ResizeMode_t

enum GlsCTLTextBox::ResizeMode_t

Resize mode values.

Enumerator
RESIZE_MODE_FIXED |
RESIZE_MODE_AUTO_WIDTH |
RESIZE_MODE_AUTO_HEIGHT |

## ◆ TextDirection_t

enum GlsCTLTextBox::TextDirection_t

The text direction types.

TEXT_DIRECTION_LTR - Use Left to Right as the base direction for rendering text. TEXT_DIRECTION_RTL - Use Right to Left as the base direction for rendering text. TEXT_DIRECTION_AUTOMATIC - Determine the base direction for rendering text from the first strongly directioned character. TEXT_DIRECTION_AUTO_BY_LINE - Determine the base direction for rendering text for each individual EOL-seperated line in the text string.

Enumerator
TEXT_DIRECTION_LTR |
TEXT_DIRECTION_RTL |
TEXT_DIRECTION_AUTOMATIC |
TEXT_DIRECTION_AUTO_BY_LINE |

## ◆ VerticalAlignment_t

enum GlsCTLTextBox::VerticalAlignment_t

The vertical alignment types.

Enumerator
ALIGN_CENTER |
ALIGN_TOP |
ALIGN_BOTTOM |

## Constructor & Destructor Documentation

## ◆ GlsCTLTextBox() [1/2]

GlsCTLTextBox::GlsCTLTextBox | ( |  | ) |

default constructor

## ◆ GlsCTLTextBox() [2/2]

GlsCTLTextBox::GlsCTLTextBox | ( | GlsCTLTextBox & | src | ) |

copy constructor

## Member Function Documentation

## ◆ CastToGlsCTLTextBox()

static GlsCTLTextBox * GlsCTLTextBox::CastToGlsCTLTextBox | ( | DisplayObject * | obj | ) |
| static

Casts the Display Object as a GlsCTLTextBox NOTE: perform an isNULL check on the returned value to ensure the cast was accomplished.

Parameters

  obj | object to cast

Returns
  the GlsCTLTextBox

Exceptions

  CEIException |

## ◆ EllipsizeMode() [1/2]

EllipsizeMode_t GlsCTLTextBox::EllipsizeMode | ( |  | ) |

Gets the type of automatic ellipsize if the text does not fit in the boundary.

Returns
  The type of automatic ellipsize if the text does not fit in the boundary.

## ◆ EllipsizeMode() [2/2]

void GlsCTLTextBox::EllipsizeMode | ( | EllipsizeMode_t & | ellipsizeMode | ) |

Sets the type of automatic ellipsize if the text does not fit in the boundary.

Parameters

  [in] | ellipsizeMode | The type of automatic ellipsize if the text does not fit in the boundary.

## ◆ MaxHeight() [1/2]

float GlsCTLTextBox::MaxHeight | ( |  | ) |

Gets the text's maximum height.

Returns
  The maximum height for this object's text.

## ◆ MaxHeight() [2/2]

void GlsCTLTextBox::MaxHeight | ( | float & | maxHeight | ) |

Sets the text's maximum height.

Parameters

  maxHeight | The maximum height to use

## ◆ MaxWidth() [1/2]

float GlsCTLTextBox::MaxWidth | ( |  | ) |

Gets the text's maximum width.

Returns
  The maximum width for this object's text.

## ◆ MaxWidth() [2/2]

void GlsCTLTextBox::MaxWidth | ( | float & | maxWidth | ) |

Sets the text's maximum width.

Parameters

  maxWidth | The maximum width to use

## ◆ Rebuild()

void GlsCTLTextBox::Rebuild | ( |  | ) |

Calls Rebuild() on the text's runtime object, triggering resizing behavior.

## ◆ ResizeMode() [1/2]

ResizeMode_t GlsCTLTextBox::ResizeMode | ( |  | ) |

Gets the resize mode.

Returns
  The resize mode for this object's text.

## ◆ ResizeMode() [2/2]

void GlsCTLTextBox::ResizeMode | ( | ResizeMode_t & | resizeMode | ) |

Sets the resize mode.

Parameters

  resizeMode | The resize mode to use (RESIZE_MODE_FIXED, RESIZE_MODE_AUTO_WIDTH, RESIZE_MODE_AUTO_HEIGHT).

## ◆ TextDirection() [1/2]

TextDirection_t GlsCTLTextBox::TextDirection | ( |  | ) |

Gets the direction to render the text in.

Returns
  the direction to render the text in.

## ◆ TextDirection() [2/2]

void GlsCTLTextBox::TextDirection | ( | TextDirection_t & | direction | ) |

Sets the direction to render the text in.

Parameters

  [in] | direction | The direction to render the text in.

## ◆ TextHorizontalScale() [1/2]

float GlsCTLTextBox::TextHorizontalScale | ( |  | ) |

Get the horizontal scale.

## ◆ TextHorizontalScale() [2/2]

void GlsCTLTextBox::TextHorizontalScale | ( | float & | value | ) |

Scales the text horizontally by the given value.

Text is still clamped by the bounds of the text box

Parameters

  value | the horizontal scale

## ◆ TextVerticalScale() [1/2]

float GlsCTLTextBox::TextVerticalScale | ( |  | ) |

Get the vertical scale.

## ◆ TextVerticalScale() [2/2]

void GlsCTLTextBox::TextVerticalScale | ( | float & | value | ) |

Scales the text vertically by the given value.

Text is still clamped by the bounds of the text box

Parameters

  value | the vertical scale

## ◆ VerticalAlignment() [1/2]

VerticalAlignment_t GlsCTLTextBox::VerticalAlignment | ( |  | ) |

Get the vertical alignment for this text object.

Returns
  The vertical alignment type.

## ◆ VerticalAlignment() [2/2]

void GlsCTLTextBox::VerticalAlignment | ( | VerticalAlignment_t & | verticalAlignment | ) |

Set the vertical alignment for this text object.

Parameters

  [in] | verticalAlignment | The vertical alignment type.

The documentation for this class was generated from the following file:

- GlsCTLTextBox.i